%define kf5dcraw_major 5
%define libkf5dcraw %mklibname kf5dcraw %kf5dcraw_major
%define libkf5dcraw_devel %mklibname kf5dcraw -d

Name: libkdcraw
Summary: C++ interface around LibRaw library
Version: 23.08.5
Release: %mkrel 1
Group: Graphical desktop/KDE5
License: GPLv2
URL: https://projects.kde.org/projects/kde/kdegraphics/libs/libkf5dcraw
Source: http://download.kde.org/stable/applications/%{version}/src/%name-%version.tar.xz
#general buildrequires
#------------------------------------------------------
BuildRequires:lib64qt5base5-devel
BuildRequires:lib64qt5core-devel
BuildRequires:lib64qt5dbus-devel
BuildRequires:lib64qt5gui-devel
BuildRequires:lib64qt5help-devel
BuildRequires:lib64qt5imageformats-devel
BuildRequires:lib64qt5network-devel
BuildRequires:lib64qt5qml-devel
BuildRequires:lib64qt5quick-devel
BuildRequires:lib64qt5bluetooth-devel

BuildRequires:lib64qt5concurrent-devel
BuildRequires:lib64qt5designer-devel

BuildRequires:lib64qt5labstemplates-devel
BuildRequires:lib64qt5location-devel
BuildRequires:lib64qt5multimedia-devel

BuildRequires:lib64qt5multimediawidgets-devel
BuildRequires:lib64qt5nfc-devel
BuildRequires:lib64qt5opengl-devel
BuildRequires:lib64qt5platformsupport-devel
BuildRequires:lib64qt5positioning-devel
BuildRequires:lib64qt5printsupport-devel

BuildRequires:lib64qt5quickparticles-devel
BuildRequires:lib64qt5quicktest-devel
BuildRequires:lib64qt5quickwidgets-devel
BuildRequires:lib64qt5script-devel
BuildRequires:lib64qt5scripttools-devel
BuildRequires:lib64qt5sensors-devel
BuildRequires:lib64qt5serialport-devel
BuildRequires:lib64qt5sql-devel
BuildRequires:lib64qt5svg-devel
BuildRequires:lib64qt5test-devel
BuildRequires:lib64qt5widgets-devel
BuildRequires:lib64qt5waylandclient-devel
BuildRequires:lib64qt5webchannel-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------

BuildRequires:lib64lcms-devel
BuildRequires: LibRaw-devel
BuildRequires: ki18n-devel
BuildRequires: kconfig-devel

Obsoletes:lib64kf5dcraw5
Provides: lib64kf5dcraw5 = %version-%release

%description
Libkf5dcraw is a C++ interface around LibRaw library used to decode RAW
picture files. More information about LibRaw can be found at
http://www.libraw.org.

%files
%doc README AUTHORS
%_kf5_libdir/libKF5KDcraw.so.%{kf5dcraw_major}*
/usr/share/qlogging-categories5/libkdcraw.categories
#------------------------------------------------------------------------------


%package -n %{libkf5dcraw_devel}
Summary: Devel stuff for %name
Group: Development/Libraries
Requires: %name = %version-%release
Provides: %name-devel = %version-%release 

%description -n %{libkf5dcraw_devel}
Libkf5dcraw is a C++ interface around LibRaw library used to decode RAW
picture files. More information about LibRaw can be found at
http://www.libraw.org.

This package contains header files needed if you wish to build applications
based on %name.

%files -n %{libkf5dcraw_devel}
%_kf5_includedir/KDCRAW
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5KDcraw
#------------------------------------------------------------------------------

%prep
%setup -q 

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

